## python-aioeventlet 0.4

=== Makefile ===
.PHONY: doc

test:
	tox
doc:
	make -C doc html
clean:
	rm -rf build dist aioeventlet.egg-info .tox
	find -name "*.pyc" -delete
	find -name "__pycache__" -exec rm -rf {} \;
	make -C doc clean

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/aioeventlet.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/aioeventlet.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/aioeventlet"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/aioeventlet"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-aioeventlet (0.4-1) unstable; urgency=medium

  * Initial release. (Closes: #778542)

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Feb 2015 15:05:58 +0100

=== debian/control ===
Source: python-aioeventlet
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-setuptools
Build-Depends-Indep: python-eventlet,
                     python-mock,
                     python-trollius (>= 0.3),
                     python3-trollius (>= 0.3)
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-aioeventlet.git
Vcs-Git: git://anonscm.debian.org/openstack/python-aioeventlet.git
Homepage: http://aioeventlet.readthedocs.org/

Package: python-aioeventlet
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-trollius (>= 0.3),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-aioeventlet-doc
Description: asyncio event loop scheduling callbacks in eventlet - Python 2.x
 aioeventlet implements the asyncio API (PEP 3156) on top of eventlet. It makes
 possible to write asyncio code in a project currently written for eventlet.
 .
 aioeventlet allows one to use greenthreads in asyncio coroutines, and to use
 asyncio coroutines, tasks and futures in greenthreads: see link_future() and
 wrap_greenthread() functions.
 .
 The main visible difference between aioeventlet and trollius is the behaviour
 of run_forever(): run_forever() blocks with trollius, whereas it runs in a
 greenthread with aioeventlet. It means that aioeventlet event loop can run in
 an greenthread while the Python main thread runs other greenthreads in
 parallel.
 .
 This package contains the Python 2.x module.

Package: python3-aioeventlet
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-aioeventlet-doc
Description: asyncio event loop scheduling callbacks in eventlet - Python 3.x
 aioeventlet implements the asyncio API (PEP 3156) on top of eventlet. It makes
 possible to write asyncio code in a project currently written for eventlet.
 .
 aioeventlet allows one to use greenthreads in asyncio coroutines, and to use
 asyncio coroutines, tasks and futures in greenthreads: see link_future() and
 wrap_greenthread() functions.
 .
 The main visible difference between aioeventlet and trollius is the behaviour
 of run_forever(): run_forever() blocks with trollius, whereas it runs in a
 greenthread with aioeventlet. It means that aioeventlet event loop can run in
 an greenthread while the Python main thread runs other greenthreads in
 parallel.
 .
 This package contains the Python 3.x module.

Package: python-aioeventlet-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: asyncio event loop scheduling callbacks in eventlet - doc
 aioeventlet implements the asyncio API (PEP 3156) on top of eventlet. It makes
 possible to write asyncio code in a project currently written for eventlet.
 .
 aioeventlet allows one to use greenthreads in asyncio coroutines, and to use
 asyncio coroutines, tasks and futures in greenthreads: see link_future() and
 wrap_greenthread() functions.
 .
 The main visible difference between aioeventlet and trollius is the behaviour
 of run_forever(): run_forever() blocks with trollius, whereas it runs in a
 greenthread with aioeventlet. It means that aioeventlet event loop can run in
 an greenthread while the Python main thread runs other greenthreads in
 parallel.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = hg::https://bitbucket.org/haypo/aioeventlet
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-aioeventlet; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-aioeventlet; \
	done
	rm -rf $(CURDIR)/debian/python*-aioeventlet/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in $(PYTHONS) ; do \
		python$$pyvers runtests.py -r ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build -b html doc debian/python-aioeventlet-doc/usr/share/doc/python-aioeventlet-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/a/aioeventlet aioeventlet-(.*).tar.gz

## python-aioeventlet 0.5.1

=== debian/changelog ===
python-aioeventlet (0.5.1-1) unstable; urgency=medium

  * New upstream release:
    - Fixed bug related to monkey-patching of eventlet (Closes: #815217).
  * Removed Pre-Depends: dpkg (>= 1.15.6~).
  * VCS fields using HTTPS.
  * Fixed debian/copyright ordering and years.
  * Now also testing with Python3, since eventlet has support for it.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Feb 2016 13:45:27 +0000

=== debian/control ===
--- 
+++ 
@@ -2,30 +2,31 @@
 Section: python
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Thomas Goirand <zigo@debian.org>
+Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-all (>= 2.6.6-3~),
                python-setuptools,
                python-sphinx,
                python3-all,
-               python3-setuptools
+               python3-setuptools,
 Build-Depends-Indep: python-eventlet,
                      python-mock,
-                     python-trollius (>= 0.3),
-                     python3-trollius (>= 0.3)
+                     python-trollius (>= 2.0),
+                     python3-eventlet,
+                     python3-mock,
+                     python3-trollius (>= 2.0),
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-aioeventlet.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-aioeventlet.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-aioeventlet.git
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-aioeventlet.git
 Homepage: http://aioeventlet.readthedocs.org/
 
 Package: python-aioeventlet
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: python-trollius (>= 0.3),
          ${misc:Depends},
-         ${python:Depends}
-Suggests: python-aioeventlet-doc
+         ${python:Depends},
+Suggests: python-aioeventlet-doc,
 Description: asyncio event loop scheduling callbacks in eventlet - Python 2.x
  aioeventlet implements the asyncio API (PEP 3156) on top of eventlet. It makes
  possible to write asyncio code in a project currently written for eventlet.
@@ -44,10 +45,9 @@
 
 Package: python3-aioeventlet
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends},
-         ${python3:Depends}
-Suggests: python-aioeventlet-doc
+         ${python3:Depends},
+Suggests: python-aioeventlet-doc,
 Description: asyncio event loop scheduling callbacks in eventlet - Python 3.x
  aioeventlet implements the asyncio API (PEP 3156) on top of eventlet. It makes
  possible to write asyncio code in a project currently written for eventlet.
@@ -67,8 +67,8 @@
 Package: python-aioeventlet-doc
 Section: doc
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
 Description: asyncio event loop scheduling callbacks in eventlet - doc
  aioeventlet implements the asyncio API (PEP 3156) on top of eventlet. It makes
  possible to write asyncio code in a project currently written for eventlet.

=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,11 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	set -e ; for pyvers in $(PYTHONS) ; do \
-		python$$pyvers runtests.py -r ; \
+	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S) ; do \
+		PYMAJOR=`echo $$pyvers | cut -d'.' -f1` ; \
+		echo "===> Testing with python$$pyvers (python$$PYMAJOR)" ; \
+		python$$pyvers runtests.py -r -v ; \
+		find  . -iname '*.pyc' -delete ; \
 	done
 endif
